Last Comment Bug 625668 - Resizes for single groups don't stick correctly, returning them to their userSize values
: Resizes for single groups don't stick correctly, returning them to their user...
Status: RESOLVED FIXED
[visual][polish]
: polish
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: P5 normal
: Firefox 8
Assigned To: Tim Taubert [:ttaubert]
:
:
Mentors:
Depends on: 625269
Blocks: 587140 673196
  Show dependency treegraph
 
Reported: 2011-01-13 23:23 PST by Michael Yoshitaka Erlewine [:mitcho]
Modified: 2016-04-12 14:00 PDT (History)
4 users (show)
ttaubert: in‑testsuite+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot (54.82 KB, image/png)
2011-01-13 23:23 PST, Michael Yoshitaka Erlewine [:mitcho]
no flags Details
patch v1 (5.43 KB, patch)
2011-07-21 19:35 PDT, Tim Taubert [:ttaubert]
dietrich: review+
raymond: feedback+
Details | Diff | Splinter Review
patch v2 (6.37 KB, patch)
2011-07-23 16:21 PDT, Tim Taubert [:ttaubert]
no flags Details | Diff | Splinter Review
patch v3 (5.67 KB, patch)
2011-07-25 13:12 PDT, Tim Taubert [:ttaubert]
dietrich: review+
Details | Diff | Splinter Review

Description Michael Yoshitaka Erlewine [:mitcho] 2011-01-13 23:23:37 PST
Created attachment 503757 [details]
Screenshot

When a window only has a single group and this window is resized down past the usersize, you observe some odd behavior where you momentarily see the group get resized to new bounds to fit the window, but then bounce back to its original size. Something odd is going on in the resize code in this case.

This is one non-pushAway cause of bug 587140.

This bug is a followup to bug 625269. The test for 625269 includes a TODO for this bug.
Comment 1 Tim Taubert [:ttaubert] 2011-07-21 19:35:06 PDT
Created attachment 547592 [details] [diff] [review]
patch v1

Item.pushAway() does strange things when called with only one top-level item. There's no need to even execute all this code when there's only one top-level item (that's what the patch does).

I refactored the whole test for bug 625269 (that covers this bug, too) because it didn't measure the group size correctly and was as a whole a bit unclear.
Comment 2 Dietrich Ayala (:dietrich) 2011-07-22 08:03:55 PDT
Comment on attachment 547592 [details] [diff] [review]
patch v1

Review of attachment 547592 [details] [diff] [review]:
-----------------------------------------------------------------

looks good, r=me.
Comment 3 Tim Taubert [:ttaubert] 2011-07-23 16:21:54 PDT
Created attachment 547966 [details] [diff] [review]
patch v2

Alas, browser_tabview_bug625269.js failed once on the try server. I extended it to wait until any css transition (if active) ended and check the group bounds after that.
Comment 4 Tim Taubert [:ttaubert] 2011-07-23 18:13:01 PDT
Comment on attachment 547966 [details] [diff] [review]
patch v2

*Sigh* still fails on try. Investigating.
Comment 5 Tim Taubert [:ttaubert] 2011-07-25 13:12:45 PDT
Created attachment 548265 [details] [diff] [review]
patch v3

Reverted the changes from patch v2. There are no animations involved, silly me. The problem was that there can be multiple resize events and we need to wait until the target size has been reached.
Comment 6 Tim Taubert [:ttaubert] 2011-08-02 22:51:33 PDT
http://hg.mozilla.org/integration/fx-team/rev/42e7710675b2
Comment 7 Tim Taubert [:ttaubert] 2011-08-03 07:53:15 PDT
http://hg.mozilla.org/mozilla-central/rev/42e7710675b2

Note You need to log in before you can comment on or make changes to this bug.